Converter.PrintWriterProgressListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.jl.converter
Class Converter.PrintWriterProgressListener

    java.lang.Object
      javazoom.jl.converter.Converter.PrintWriterProgressListener

All Implemented Interfaces:
  Converter.ProgressListener

Enclosing class:
  Converter

public static class Converter.PrintWriterProgressListener
extends java.lang.Object
implements Converter.ProgressListener

Implementation of `ProgressListener` that writes notification text to a `PrintWriter`.

Field Summary
`static int` | `DEBUG_DETAIL` Debug detail.
`static int` | `EXPERT_DETAIL` Level of detail typically expected of expert users.
`static int` | `MAX_DETAIL`
`static int` | `NO_DETAIL`
`static int` | `VERBOSE_DETAIL` Verbose detail.

Fields inherited from interface javazoom.jl.converter.Converter.ProgressListener
`UPDATE_CONVERT_COMPLETE, UPDATE_FRAME_COUNT`

Constructor Summary
`Converter.PrintWriterProgressListener(java.io.PrintWriter writer, int detailLevel)`

Method Summary
`boolean` | `converterException(java.lang.Throwable t)` Called when an exception is thrown during while converting a frame.
`void` | `converterUpdate(int updateID, int param1, int param2)` Notifies the listener that new information is available.
`void` | `decodedFrame(int frameNo, Header header, Obuffer o)` This method is called after a frame has been decoded.
`boolean` | `isDetail(int detail)`
`static Converter.PrintWriterProgressListener` | `newStdOut(int detail)`
`void` | `parsedFrame(int frameNo, Header header)` If the converter wishes to make a first pass over the audio frames, this is called as each frame is parsed.
`void` | `readFrame(int frameNo, Header header)` This method is called after each frame has been read, but before it has been decoded.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_DETAIL

    public static final int NO_DETAIL

See Also:
  Constant Field Values

### EXPERT_DETAIL

    public static final int EXPERT_DETAIL

  Level of detail typically expected of expert users.

  See Also:
    Constant Field Values

### VERBOSE_DETAIL

    public static final int VERBOSE_DETAIL

  Verbose detail.

  See Also:
    Constant Field Values

### DEBUG_DETAIL

    public static final int DEBUG_DETAIL

  Debug detail. All frame read notifications are shown.

  See Also:
    Constant Field Values

### MAX_DETAIL

    public static final int MAX_DETAIL

See Also:
  Constant Field Values

Constructor Detail

### Converter.PrintWriterProgressListener

    public Converter.PrintWriterProgressListener(java.io.PrintWriter writer,
                                                 int detailLevel)

Method Detail

### newStdOut

    public static Converter.PrintWriterProgressListener newStdOut(int detail)

### isDetail

    public boolean isDetail(int detail)

### converterUpdate

    public void converterUpdate(int updateID,
                                int param1,
                                int param2)

  Description copied from interface: `Converter.ProgressListener`
  Notifies the listener that new information is available.

  Specified by:
    `converterUpdate` in interface `Converter.ProgressListener`
  Parameters:
    `updateID` - Code indicating the information that has been updated.
    `param1` - Parameter whose value depends upon the update code.
    `param2` - Parameter whose value depends upon the update code. The `updateID` parameter can take these values: UPDATE_FRAME_COUNT: param1 is the frame count, or -1 if not known. UPDATE_CONVERT_COMPLETE: param1 is the conversion time, param2 is the number of frames converted.

### parsedFrame

    public void parsedFrame(int frameNo,
                            Header header)

  Description copied from interface: `Converter.ProgressListener`
  If the converter wishes to make a first pass over the audio frames, this is called as each frame is parsed.

  Specified by:
    `parsedFrame` in interface `Converter.ProgressListener`

### readFrame

    public void readFrame(int frameNo,
                          Header header)

  Description copied from interface: `Converter.ProgressListener`
  This method is called after each frame has been read, but before it has been decoded.

  Specified by:
    `readFrame` in interface `Converter.ProgressListener`
  Parameters:
    `frameNo` - The 0-based sequence number of the frame.
    `header` - The Header rerpesenting the frame just read.

### decodedFrame

    public void decodedFrame(int frameNo,
                             Header header,
                             Obuffer o)

  Description copied from interface: `Converter.ProgressListener`
  This method is called after a frame has been decoded.

  Specified by:
    `decodedFrame` in interface `Converter.ProgressListener`
  Parameters:
    `frameNo` - The 0-based sequence number of the frame.
    `header` - The Header rerpesenting the frame just read.
    `o` - The Obuffer the deocded data was written to.

### converterException

    public boolean converterException(java.lang.Throwable t)

  Description copied from interface: `Converter.ProgressListener`
  Called when an exception is thrown during while converting a frame.

  Specified by:
    `converterException` in interface `Converter.ProgressListener`
  Parameters:
    `t` - The `Throwable` instance that was thrown.
  Returns:
    `true` to continue processing, or false to abort conversion. If this method returns `false`, the exception is propagated to the caller of the convert() method. If `true` is returned, the exception is silently ignored and the converter moves onto the next frame.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005